<?php
$output = '';
$atts = vc_map_get_attributes( 'sns_cat_info', $atts );
extract( $atts );
if( class_exists('WooCommerce') ){
	$uq = rand().time();
	$class = 'sns-cat-info';
	// $class .= ( esc_attr($style) !='' )?' style-'.esc_attr($style):'';
	$class .= ( trim(esc_attr($extra_class))!='' )?' '.esc_attr($extra_class):'';
	$class .= ' '.esc_attr( bodycenter_getCSSAnimation( $css_animation ) );
	if ( $info_want == '3' ) {
		$class .= ' show-btn-shopnow';
	}elseif ( $info_want == '4' ) {
		$class .= ' show-btn-seeall';
	}
	$l_href = $l_name = $l_target = '_self' ;
	if ( $r_type == '1' ){
		$cat_info = get_term_by('slug', $cat, 'product_cat');
		$l_href = get_term_link($cat, 'product_cat');
		$l_name = trim($ctitle) != '' ? $ctitle : $cat_info->name;
		$l_target = '_self';
	}elseif ($r_type == '2' && !empty( $clink ) ) {
		$clink = vc_build_link( $clink );
		$l_href = $clink['url'];
		$l_name = $clink['title'] ? esc_attr( $clink['title'] ) : esc_html__('You should enter title', 'bodycenter-shortcodes');
		$l_target = esc_attr( $clink['target'] ) ;
	}
	$output .= '<div class="'.$class.'">';
	$output .= '<a class="cat-img" href="'.$l_href.'">';
	if($cat_image != ''){
		$cat_image = preg_replace('/[^\d]/', '', $cat_image);
		$img =   wp_get_attachment_image_src( $cat_image , '');
		$output .= '<img src="'.$img[0].'" alt="'.$l_name.'" />';
	}
	$output .= '</a>';
	$output .= '<div class="cat-info">';
	$output .= '<h4 class="cat-title"><a class="second-font" href="'.$l_href.'" target="'.$l_target.'">'.$l_name.'</a>';
	if ( $info_want == '4' ){
		$output .= '<a class="btn-seeall" href="'.$l_href.'">' . esc_html__('See all', 'bodycenter-shortcodes') . '</a>';
	}
	$output .= '</h4>';
	if ( $info_want == '1' ){
		$output .= '<span class="cat-prd-num">'.$cat_info->count. ' ' . esc_html__('Products', 'bodycenter-shortcodes') .'</span>';
	}else if ( $info_want == '2' ){
		$output .= '<span class="jf-price second-font">' . esc_html__('Just from', 'bodycenter-shortcodes') .' <span class="price-num">'.$jf_price.'</span></span>';
	}
	$output .= '</div>';
	if ( $info_want == '3' ){
		$output .= '<div class="btn-wrap"><a class="btn-shopnow button" href="'.$l_href.'">' . esc_html__('Shop now', 'bodycenter-shortcodes') . '</a></div>';
	}
	$output .= '</div>';
}
echo $output;