<?php
$output = '';
$id = rand().time();
$atts = vc_map_get_attributes( 'sns_banner', $atts );
extract( $atts );

$tclass = 'sns-banner style-'.$style;
$tclass .= ( trim(esc_attr($extra_class))!='' )?' '.esc_attr($extra_class):'';
// $snsbanner = new WPBakeryShortCode_SNS_Banner( array( 'base' => 'sns_banner' ) );
// $tclass .= ' '.$snsbanner->getCSSAnimation( $css_animation );

if($image != ''){
	$image = preg_replace('/[^\d]/', '', $image);
	$img =   wp_get_attachment_image_src( $image , '');
	ob_start();
?>
<div id="sns-banner-<?php echo $id; ?>" class="<?php echo esc_attr($tclass); ?>">
	<span class="banner-img"><img src="<?php echo $img[0] ?>" alt="<?php echo esc_attr($heading) ?>" /></span>
	<?php if( $style == '1' ): ?>
		<div class="content-text second-font"><div class="inner">
			<?php echo ($sub_heading != '') ? '<h5 class="sub-heading">'.$sub_heading.'</h5>' : ''; ?>
			<?php echo ($heading != '') ? '<h3 class="heading">'.$heading.'</h3>' : ''; ?>
			<?php if ( ! empty( $view_link ) ) {
				$link = vc_build_link( $view_link );
				echo '<a class="view-link" href="' . esc_url( $link['url'] ) . '"'
				               . ( $link['target'] ? ' target="' . esc_attr( $link['target'] ) . '"' : '' )
				               . ( $link['title'] ? ' title="' . esc_attr( $link['title'] ) . '"' : '' )
				               . '>' . esc_attr( $link['title'] ) . '</a>';
			} ?>
		</div></div>
	<?php elseif ( $style == '2' ): ?>
		<div class="content-text second-font">
			<div class="left-info">
				<?php echo ($heading != '') ? '<h3 class="heading">'.$heading.'</h3>' : ''; ?>
				<?php if ( $price ) : ?>
				<div class="price-wrap price">
					<?php echo ($o_price != '') ? '<span class="o-price">'.$o_price.'</span>' : ''; ?>
					<?php echo ($price != '') ? '<span class="l-price">'.$price.'</span>' : ''; ?>
				</div>
				<?php endif; ?>
			</div>
			<?php if ( ! empty( $view_btn ) ) {
				$link = vc_build_link( $view_btn );
				echo '<a class="view-btn" href="' . esc_url( $link['url'] ) . '"'
				               . ( $link['target'] ? ' target="' . esc_attr( $link['target'] ) . '"' : '' )
				               . ( $link['title'] ? ' title="' . esc_attr( $link['title'] ) . '"' : '' )
				               . '>' . esc_attr( $link['title'] ) . '</a>';
			} ?>
		</div>
	<?php endif; ?>
</div>
<?php
	$output = ob_get_clean();
}else{
	$output = esc_html__('You need select image for banner', 'bodycenter-shortcodes');
}
echo $output;