<?php
$output = '';
$atts = vc_map_get_attributes( 'sns_instagram', $atts );
extract( $atts );
$uq = rand().time();
$class = 'sns-instagram';
// if ( $show_author == '1' ) $class .= ' show-author';

$class .= ' style-'.esc_attr($style);
$class .= ' type-'.esc_attr($type);
$class .= ( trim($extra_class)!='' )?' '.esc_attr($extra_class):'';
$class .= ' '.esc_attr( bodycenter_getCSSAnimation( $css_animation ) );
$flag = true;
if ( $style == 'grid-special' ) {
	$limit = 6; 
}
if ( $access_token && $limit) {
	if ( $type == 'new' && $user_id ){
		$api = 'https://api.instagram.com/v1/users/' . $user_id . '/media/recent/?access_token=' . $access_token . '&count=' . esc_attr( $limit );
	}elseif ( $type == 'tag' && $tag ){
		$api = 'https://api.instagram.com/v1/tags/' . $tag . '/media/recent/?access_token=' . $access_token . '&count=' . esc_attr( $limit );
	}else{
		$api = '';
	}
	if ( $api ) {
		$photos = wp_remote_get( $api ); 
		if ( ! is_wp_error( $photos ) ) {
			$photos = json_decode( $photos['body'] );
			if ( $photos->meta->code !== 200 ) {
				$output .= '<p>'.esc_html__('Your setting incorrect!', 'bodycenter-shortcodes').'</p>';
			}else{
				$items = $photos->data;
				$item_imgs = array();
				foreach ( $items as $item ) {
					if ( $size == 'thumbnail' ) {
						$src = $item->images->thumbnail->url;
						$w   = $item->images->thumbnail->width;
						$h   = $item->images->thumbnail->height;
					} elseif ( $size == 'low' ) {
						$src = $item->images->low_resolution->url;
						$w   = $item->images->low_resolution->width;
						$h   = $item->images->low_resolution->height;
					} else {
						$src = $item->images->standard_resolution->url;
						$w   = $item->images->standard_resolution->width;
						$h   = $item->images->standard_resolution->height;
					}
					$item_imgs[] = array(
						'link'     => $item->link,
						'src'      => $src,
						'comments' => $item->comments->count,
						'like'     => $item->likes->count
					 );
				}
			}
		}else{
			$flag = false;
		}
	}else{
		$flag = false;
	}
}
$output .= '<div id="sns_instagram'.($uq).'" class="'.esc_attr($class).'">';
	if ( $title != '' ) $output .= '<h3 class="wpb_heading"><span>'.esc_attr($title).'</span></h3>';
	$output .= '<div class="list-items">';
	if ( $style == 'grid' ) {
		$output .= '<div class="grid col-'.$number.'">';
	}elseif ( $style == 'carousel' ) {
		$data = '';
		$data .= ' data-desktop="'.$number_desktop.'"';
		$data .= ' data-tabletl="'.$number_tablet.'"';
		$data .= ' data-tabletp="'.$number_tabletp.'"';
		$data .= ' data-mobilel="'.$number_mobilel.'"';
		$data .= ' data-mobilep="'.$number_mobilep.'"';
		$output .= '<div class="owl-carousel"'.$data.'>';
	}elseif( $style == 'grid-special' ){
		if ( $follow_link && $instagram_name ) {
			$output .= '<a class="follow-us" href="'.$follow_link.'">';
			$output .= '<span>' . esc_html__('Follow us on Instagram', 'bodycenter-shortcodes') . '</span>';
			$output .= '<span class="name">' . $instagram_name . '</span>';
			$output .= '</a>';
		}
		$output .= '<div class="grid col-3">';
	}else{
		$output .= '<div class="grid">';
		$output .= '<p>'.esc_html__('Please select Display style', 'bodycenter-shortcodes').'</p>';
	}
	if ( $flag == true && isset( $item_imgs ) ) {
		$i=1;
		foreach ( $item_imgs as $item ) {
			if ( $style == 'grid-special' ){
				if ( $i == 1 || $i == 2 || $i == 6 ) {
					$output .= '<div class="item-big">';
				}
			}
			$link     = $item['link'];
			$image    = $item['src'];
			$comments = $item['comments'];
			$like     = $item['like'];
			$output .= '<div class="item">';
				$output .= '<a class="item-image" href="' . esc_url( $link ) .'" target="_blank"><img width="' . esc_attr( $w ) . '" height="' . esc_attr( $h ) . '" src="' . esc_url( $image ) . '" alt="Instagram" /></a>';
				$output .= '<div class="info">';
					$output .= '<span class="like">' . $like . '</span>';
					$output .= '<span class="comment">' . $comments . '</span>';
				$output .= '</div>';
			$output .= '</div>';
			if ( $style == 'grid-special' ){
				if ( $i == 1 || $i == 5 || $i == 6 ) {
					$output .= '</div>';
				}
			}
			$i ++;
		}
	}
	$output .= '</div>';
	$output .= '</div>';
$output .= '</div>';
echo $output;
