<?php
add_action( 'tgmpa_register', 'sns_plugin_activation' );
function sns_plugin_activation() {
    $plugins = array(
            // install Redux Framework, it on wordpress.org/plugins
            array(
                'name'      => esc_html__('Redux Framework', 'bodycenter'),
                'slug'      => 'redux-framework',
                'required'  => true,
            ),
            array(
                'name'               => esc_html__('Meta Box', 'bodycenter'),
                'slug'               => 'meta-box',
                'required'           => true,
            ),
            array(
                'name'                  => esc_html__('Slider Revolution', 'bodycenter'),
                'slug'                  => 'revslider',
                'source'                => 'revslider.zip',
                'required'              => true,
            ),
            array(
                'name'                  => esc_html__('WPBakery Visual Composer', 'bodycenter'),
                'slug'                  => 'js_composer',
                'source'                => 'js_composer.zip',
                'required'              => true,
            ),
            array(
                'name'                  => esc_html__('BodyCenter Extra', 'bodycenter'),
                'slug'                  => 'bodycenter-extra',
                'source'                => 'bodycenter-extra.zip',
                'required'              => true,
            ),
            array(
                'name'                  => esc_html__('BodyCenter Shortcodes', 'bodycenter'),
                'slug'                  => 'bodycenter-shortcodes',
                'source'                => 'bodycenter-shortcodes.zip',
                'required'              => true,
            ),
            array(
                'name'               => esc_html__('WooCommerce - excelling eCommerce', 'bodycenter'),
                'slug'               => 'woocommerce',
                'required'           => true,
            ),
            array(
                'name'               => esc_html__('YITH WooCommerce Wishlist', 'bodycenter'),
                'slug'               => 'yith-woocommerce-wishlist',
                'required'           => true,
            ),
            array(
                'name'               => esc_html__('YITH WooCommerce Compare', 'bodycenter'),
                'slug'               => 'yith-woocommerce-compare',
                'required'           => true,
            ),
            array(
                'name'               => esc_html__('YITH WooCommerce Quick View', 'bodycenter'),
                'slug'               => 'yith-woocommerce-quick-view',
                'required'           => true,
            ),
	    	array(
	    		'name'               => esc_html__('YITH WooCommerce Ajax Product Filter', 'bodycenter'),
	    		'slug'               => 'yith-woocommerce-ajax-navigation',
	    		'required'           => true,
	    	),
            array(
                'name'               => esc_html__('YITH WooCommerce Badge Management', 'bodycenter'),
                'slug'               => 'yith-woocommerce-badges-management',
                'required'           => true,
            ),
            array(
                'name'               => esc_html__('Newsletter', 'bodycenter'),
                'slug'               => 'newsletter',
                'required'           => true,
            ),
            array(
                'name'               => esc_html__('Contact Form 7', 'bodycenter'),
                'slug'               => 'contact-form-7',
                'required'           => true,
            ),
            array(
                'name'               => esc_html__('Simple Share Buttons Adder', 'bodycenter'),
                'slug'               => 'simple-share-buttons-adder',
                'required'           => true,
            ),
        );
  
    $config = array(
        'default_path' => esc_url('http://demo.snstheme.com/wp/resource/q2-2019/'),
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'has_notices'  => true,                    // Is show notices or not?
        'dismissable'  => false,                   // If false then user cannot colose notices above.
        'is_automatic' => false,                    // If false thene plugin cannot auto active after install.
    );
    tgmpa( $plugins, $config );
}