<?php
// SNS Info Box
add_shortcode('sns_mini_cart', 'bodycenter_minicarttemplate');
add_action('vc_after_init', 'bodycenter_minicartsettings');
function bodycenter_minicarttemplate($atts, $content = null) {
    ob_start();
    if ($template = bodycenter_shortcode_woo_template('sns_mini_cart'))
        include $template;
    return ob_get_clean();
}
function bodycenter_minicartsettings() {
	$extra_class = bodycenter_extra_class();
    vc_map( array(
		"name"  => esc_html__("SNS Mini Cart", 'bodycenter-shortcodes'),
		"base" => "sns_mini_cart",
		"show_settings_on_create" => true ,
		"is_container" => false ,
		"icon" => "vc_icon_snstheme",
		"class" => "vc_icon_snstheme",
		"content_element" => true ,
		"category" => esc_html__('BodyCenter', 'bodycenter-shortcodes'),
		'description' => esc_html__( 'Display mini cart', 'bodycenter-shortcodes' ),
		"params" => array(
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Select style",'bodycenter-shortcodes'),
				"param_name" => "style",
				"value" => array(
					esc_html__('Style 1', 'bodycenter-shortcodes') => "1",
					esc_html__('Style 2', 'bodycenter-shortcodes') => "2",
				),
				"description" => ""
			),
			$extra_class,
			vc_map_add_css_animation(),
		)
	));
}