<?php if ( class_exists('WooCommerce') ) : 
$output = '';
$id = rand().time();
$atts = vc_map_get_attributes( 'sns_mini_cart', $atts );
extract( $atts );
$tclass = 'sns-mini-cart mini-cart style-'.$style;
$tclass .= ( trim(esc_attr($extra_class))!='' )?' '.esc_attr($extra_class):'';
$tclass .= esc_attr($css_animation);
ob_start();
?>
<div class="<?php echo $tclass; ?>">
	<a href="<?php echo wc_get_cart_url(); ?>" class="tongle">
		<span class="number">
			<?php echo sizeof( WC()->cart->get_cart() );?> <?php echo esc_html__("item(s)", "bodycenter-shortcodes"); ?>
		</span>
		<span class="separator"><?php echo esc_html__(" - ", "bodycenter-shortcodes"); ?></span>
		<span class="total">
			<?php echo WC()->cart->get_cart_total(); ?>
		</span>
	</a>
	<?php if ( !is_cart() && !is_checkout() ) : ?>
		<div class="content">
			<div class="cart-title second-font"><h4><?php echo esc_html__("My cart", "bodycenter-shortcodes"); ?></h4></div>
			<div class="block-inner">
				<?php the_widget( 'WC_Widget_Cart', 'title= ', array('before_title' => '', 'after_title' => '') ); ?>
			</div>
		</div>
	<?php endif; ?>
</div>
<?php
$output = ob_get_clean();
echo $output;
endif; ?>