<?php
// BODYCENTER Post WCode
add_shortcode('bodycenter_postwcode', 'bodycenter_postwcode_template');
add_action('vc_after_init', 'bodycenter_postwcode_settings');
function bodycenter_postwcode_template($atts, $content = null) {
    ob_start();
    if ($template = bodycenter_shortcode_template('bodycenter_postwcode'))
        include $template;
    return ob_get_clean();
}
function bodycenter_postwcode_settings() {
    vc_map( array(
		"name" => esc_html__("Post WCode",'bodycenter-shortcodes'),
		"base" => "bodycenter_postwcode",
		"icon" => "bodycenter_icon_postwcode",
		"class" => "bodycenter_postwcode",
		"category" => esc_html__("BodyCenter",'bodycenter-shortcodes'),
		"description" => esc_html__( "Display somes shortcodes via slug of Post WCode",'bodycenter-shortcodes' ),
		"params" => array(
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Title",'bodycenter-shortcodes'),
				"param_name" => "title",
				"admin_label" => true,
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Slug of Post WCode",'bodycenter-shortcodes'),
				"param_name" => "name",
				"admin_label" => true,
			),
		)
    ));
}