<?php
// SNS Member
add_shortcode('sns_member', 'bodycenter_member_template');
add_action('vc_after_init', 'bodycenter_member_settings');
function bodycenter_member_template($atts, $content = null) {
    ob_start();
    if ($template = bodycenter_shortcode_template('sns_member'))
        include $template;
    return ob_get_clean();
}
function bodycenter_member_settings() {
	$extra_class = bodycenter_extra_class();
    vc_map( array(
		"name"  => esc_html__("SNS Member", 'bodycenter-shortcodes'),
		"base" => "sns_member",
		"show_settings_on_create" => true ,
		"is_container" => false ,
		"icon" => "vc_icon_snstheme",
		"class" => "vc_icon_snstheme",
		"content_element" => true ,
		"category" => esc_html__('BodyCenter', 'bodycenter-shortcodes'),
		'description' => esc_html__( 'Box contain member info', 'bodycenter-shortcodes' ),
		"params" => array(
			array(
		      "type" => "attach_image",
		      "heading" => esc_html__("Avartar", "bodycenter-shortcodes"),
		      "param_name" => "avartar" 
		    ),
		    array(
				"type" => "dropdown",
				"heading" => esc_html__("Avartar style","bodycenter-shortcodes"),
				"param_name" => "avartar_style",
				"value" => array(
					"Default" => "",
					"Rounded" =>  "rounded",
					"Circle" =>  "circle"
				),
				"description" => ""
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Info style","bodycenter-shortcodes"),
				"param_name" => "info_style",
				"value" => array(
					"Alway display info" => "",
					"Hover to show info" =>  "hover",
				),
				"description" => ""
			),
			array(
				'type' => 'vc_link',
				'heading' => esc_html__( 'Link to member', 'bodycenter-shortcodes' ),
				'param_name' => 'link',
			),
		    array(
		      "type" => "textfield",
		      "heading" => esc_html__("Member name", "bodycenter-shortcodes"),
		      "param_name" => "name",
			  "admin_label" => true
		    ),
		    array(
		      "type" => "textfield",
		      "heading" => esc_html__("Member role", "bodycenter-shortcodes"),
		      "param_name" => "role",
			  "admin_label" => true
		    ),
		    array(
		      "type" => "textarea_html",
		      "heading" => esc_html__("Short description", "bodycenter-shortcodes"),
		      "param_name" => "short_desc",
		    ),
			array(
		      "type" => "textfield",
		      "heading" => esc_html__("Twitter link", "bodycenter-shortcodes"),
		      "param_name" => "twitter",
			  //"dependency" => Array('element' => "social_links", 'value' => 'twitter')
		    ),
			array(
		      "type" => "textfield",
		      "heading" => esc_html__("Facebook link", "bodycenter-shortcodes"),
		      "param_name" => "facebook",
			  //"dependency" => Array('element' => "social_links", 'value' => 'facebook')
		    ),
		    array(
		      "type" => "textfield",
		      "heading" => esc_html__("Instagram link", "bodycenter-shortcodes"),
		      "param_name" => "instagram",
			  //"dependency" => Array('element' => "social_links", 'value' => 'facebook')
		    ),
			array(
		      "type" => "textfield",
		      "heading" => esc_html__("linkedin link", "bodycenter-shortcodes"),
		      "param_name" => "linkedin",
			  //"dependency" => Array('element' => "social_links", 'value' => 'linkedin')
		    ),
			array(
		      "type" => "textfield",
		      "heading" => esc_html__("youtube link", "bodycenter-shortcodes"),
		      "param_name" => "youtube",
			  //"dependency" => Array('element' => "social_links", 'value' => 'youtube')
		    ),
			array(
		      "type" => "textfield",
		      "heading" => esc_html__("google link", "bodycenter-shortcodes"),
		      "param_name" => "google",
			  //"dependency" => Array('element' => "social_links", 'value' => 'google')
		    ),
			array(
		      "type" => "textfield",
		      "heading" => esc_html__("behance link", "bodycenter-shortcodes"),
		      "param_name" => "behance",
			  //"dependency" => Array('element' => "social_links", 'value' => 'behance')
		    ),
			array(
		      "type" => "textfield",
		      "heading" => esc_html__("dribbble link", "bodycenter-shortcodes"),
		      "param_name" => "dribbble",
			  //"dependency" => Array('element' => "social_links", 'value' => 'dribbble')
		    ),
			array(
		      "type" => "textfield",
		      "heading" => esc_html__("pinterest link", "bodycenter-shortcodes"),
		      "param_name" => "pinterest",
			  //"dependency" => Array('element' => "social_links", 'value' => 'pinterest')
		    ),
			$extra_class,
			vc_map_add_css_animation(),
		)
	));
}