<!-- Footer -->
<?php 
	$footer_layout = bodycenter_getoption('footer_layout', '1'); 
	$default_html = wp_kses(__( '<div class="row"><div class="col-md-12 copyright default">© 2019 BodyCenter. All Rights Reserved. Developed by <a href="%s">%s</a>.</div></div>', 'bodycenter' ), array(
												'a' => array(
													'href' => array(),
													'class' => array(),
												),
												'div' => array(
													'class' => array(),
												),
												'strong' => array(
													'class' => array(),
												), 
											) );
	if ( $footer_layout != '') {
	    $f_wcode = new WP_Query(array( 'name' => 'footer-'.esc_attr($footer_layout), 'post_type' => 'post-wcode' ));
	    if ($f_wcode->have_posts()) { ?>
	<div id="sns_footer" class="sns-footer <?php echo 'footer-'.esc_attr($footer_layout); ?>">
		<div class="container">
	    <?php
	        echo do_shortcode('[bodycenter_postwcode name="footer-'.esc_attr($footer_layout).'"]');
	    }else{ ?>
	<div id="sns_footer" class="sns-footer blank <?php echo 'footer-'.esc_attr($footer_layout); ?>">
		<div class="container">
		<?php
	    	printf( $default_html, esc_url(home_url('/')), esc_html__('SNSTheme', 'bodycenter') );
	    }
	    wp_reset_postdata();
	}else{ ?>
	<div id="sns_footer" class="sns-footer blank <?php echo 'footer-'.esc_attr($footer_layout); ?>">
		<div class="container">
		<?php
			printf( $default_html, esc_url(home_url('/')), esc_html__('SNSTheme', 'bodycenter') );
	} ?>
		</div>
	</div>
<?php

	$advance_scrolltotop = bodycenter_themeoption('advance_scrolltotop', 1);
	$advance_cpanel = bodycenter_themeoption('advance_cpanel', 0);
	if ( $advance_scrolltotop == 1 || $advance_cpanel == 1 ) : ?>
	<!-- Tools -->
	<div id="sns_tools">
		<?php 
		if ( $advance_scrolltotop == 1 ) : ?>
		<div class="sns-croll-to-top">
			<a href="#" id="sns-totop"></a>
		</div>
		<?php
		endif;
		if ( $advance_cpanel == 1 ) : 
			get_template_part( 'tpl-cpanel');
		endif;
		?>
	</div>
	<?php endif; ?>
</div>